ASP.NET v 2.0 installieren, wie??!

Diskutiere ASP.NET v 2.0 installieren, wie??! im Windows Server 2003 Forum im Bereich Server Systeme; Hi, habe einen Windows 2003 R2 Enterprise Server + SP2. ich möchte einen SharePoint Server 2007 installieren. Klappt aber nicht. Folgende...
S

Stefan B.

Threadstarter
Mitglied seit
05.10.2006
Beiträge
321
Hi,

habe einen Windows 2003 R2 Enterprise Server + SP2.

ich möchte einen SharePoint Server 2007 installieren.
Klappt aber nicht. Folgende Fehlermeldung (siehe Bild 1)
ASP.Net ist installiert, scheinbar brauch ich aber Version 2.0, wie kann ich das updaten oder installieren.

Habe Microsoft .NET Framework 3.5 installiert...


Danke an alle die versuchen mir zu helfen:)
 

Anhänge

Peter Schirmer

Peter Schirmer

Dienstleister / Moderator
Mitglied seit
14.04.2006
Beiträge
7.060
Alter
39
Standort
7th Avenue, Ecke XP und Vista, 8ter Stock, Wohnung
Hi,

habe einen Windows 2003 R2 Enterprise Server + SP2.

ich möchte einen SharePoint Server 2007 installieren.
Klappt aber nicht. Folgende Fehlermeldung (siehe Bild 1)
ASP.Net ist installiert, scheinbar brauch ich aber Version 2.0, wie kann ich das updaten oder installieren.

Habe Microsoft .NET Framework 3.5 installiert...


Danke an alle die versuchen mir zu helfen:)
Installiere mal das .NET Framework 2.0 bzw. 2.0 SP1. Die Pakete existieren problemlos nebeneinander.

Wieso hast du denn .NET FW 3.5 installiert?

Peter
 
Peter Schirmer

Peter Schirmer

Dienstleister / Moderator
Mitglied seit
14.04.2006
Beiträge
7.060
Alter
39
Standort
7th Avenue, Ecke XP und Vista, 8ter Stock, Wohnung
ist doch besser weil neuer? oder seh ich das falsch?
Wenn eine .NET-Anwendung ausgeführt wird, erwartet sie das Framework, mit dem sie erstellt wurde. Ist ein Programm also mit .NET FW 2 geschrieben worden, so wird diese Runtime erwartet.

Wie gesagt, die Pakete existieren problemlos nebeneinander.

Peter
 
S

Stefan B.

Threadstarter
Mitglied seit
05.10.2006
Beiträge
321
ich werd dann mal 3.5 deinstallieren und nur 2.0 drauf lassen.
 
S

stefan-s

Mitglied seit
28.08.2007
Beiträge
122
Alter
31
Hi,

in der Regel sollte es reichen, nur das Framework 2.0 zu installieren. (Hat bei meinem WinVPS jedenfalls gereicht)

Grüße,

Stefan

Ggf. IIS mal neustarten
 
S

superschaf

Mitglied seit
10.08.2005
Beiträge
171
Alter
33
Standort
Sundern
Da kann ich nur zustimmen, nach der Installation von .Net Framework 2 war bei mir die Erweiterung da, ggfs auch mal den ganzen Server neustarten (falls möglich)
 
B

brasil_2004

Mitglied seit
18.09.2007
Beiträge
2
Alter
71
SharePoint Service 3.0

Hallo Leute,

ich habe die gleiche Konfiguration und das gleiche Problem wie STEFAN.
Die Installationsroutine will immer ASP 2.0 oder zulassen, ABER zugelassen ist es. Ich glaube die Probleme liegen im Windows Server 2003 R2, weil mit dem Windows Server 2003 hat das alles problemlos geklappt.

Ist das Problem ev. schon gelöst oder hat jemand noch eine andere Idee??

Gruß
Peter
 
S

superschaf

Mitglied seit
10.08.2005
Beiträge
171
Alter
33
Standort
Sundern
Ich glaube die Probleme liegen im Windows Server 2003 R2
Also das kann ich leider nicht bestätigen, bei mir läuft es auch auf einem R2 Server. Hab aber auch ganz normal installiert wie bereits beschrieben.
 
Peter Schirmer

Peter Schirmer

Dienstleister / Moderator
Mitglied seit
14.04.2006
Beiträge
7.060
Alter
39
Standort
7th Avenue, Ecke XP und Vista, 8ter Stock, Wohnung
Hallo Leute,

ich habe die gleiche Konfiguration und das gleiche Problem wie STEFAN.
Die Installationsroutine will immer ASP 2.0 oder zulassen, ABER zugelassen ist es. Ich glaube die Probleme liegen im Windows Server 2003 R2, weil mit dem Windows Server 2003 hat das alles problemlos geklappt.

Ist das Problem ev. schon gelöst oder hat jemand noch eine andere Idee??

Gruß
Peter
Hallo Namensvetter und willkommen auf Winboard!

Hast du schon die Installationsroutine für .NET FW noch einmal gestartet. Da sollte das FW eine Reparatur anbieten. Führe die doch mal durch und starte den Server ggf. neu.

Ansonsten das FW 2 deinstallieren und nochmal neu installieren und alle dazu erschienenen Patches installieren!

Peter
 
B

brasil_2004

Mitglied seit
18.09.2007
Beiträge
2
Alter
71
ASP.NET v. 20

Hallo,

danke für die Antwort.

Ich habe das inzwischen gemacht und das "alte Framework 2.0" was mit der Serverinstallation draufkam bzw. mit dem Service-Pack deinstalliert und aus dem Internet das Framework downgeloadet und installiert UND ...
es läuft...

Das versteht einer wer will.

gruß
P.
 
Peter Schirmer

Peter Schirmer

Dienstleister / Moderator
Mitglied seit
14.04.2006
Beiträge
7.060
Alter
39
Standort
7th Avenue, Ecke XP und Vista, 8ter Stock, Wohnung
Hallo,

danke für die Antwort.

Ich habe das inzwischen gemacht und das "alte Framework 2.0" was mit der Serverinstallation draufkam bzw. mit dem Service-Pack deinstalliert und aus dem Internet das Framework downgeloadet und installiert UND ...
es läuft...

Das versteht einer wer will.

gruß
P.
Schön, dass alles läuft. :D

Ich schätze, dass MS hier ein wenig nachgebessert hat oder irgend ein "kaputter" Sonderfall vorliegt. Hauptsache es läuft und einfach nicht mehr darüber nachdenken. :D

Peter
 
S

Stefan B.

Threadstarter
Mitglied seit
05.10.2006
Beiträge
321
Ich habe nochmal .Net 2.0 und 3.5 deinstalliert und nacheinander neu installiert und dann IIS nochmal konfiguriert.

läuft jetzt
 
DiableNoir

DiableNoir

Mitglied seit
18.01.2004
Beiträge
6.069
@Stefan B.:

Ich glaube hier liegen ein paar Missverständnisse vor.

1) Erstens wird ASP.net 2.0 so im System registriert wie es gerade Suizidschaf beschrieben hat. Eigentlich wäre das auch von M$ so dokumentiert gewesen. ;)

2) Ob ASP.NET 2.0 funktioniert hat nichts damit zu tun ob man jetzt die R2-Version hat oder nicht. So viel ich jetzt gelesen habe hast du auch noch das Service Pack 2 deinstalliert. Davon kann ich nur dringend abraten. Dadurch machst du den Server extrem angreifbar.

3) .NET-Software verhält sich leider anders als Peter Schirmer gesagt hat. Ein .NET-Programm BEVORZUGT zwar das Framework unter dem es erstellt wurde ABER es läuft auch wenn nur eine spätere Version installiert ist. Es reicht also wenn du die neueste Version installiert hast. Das führt sogar soweit, dass ein .NET 2.0-Programm für 32bit unter einem .NET 3.5-Framework mit 64bit laufen kann.

Zudem gibt es im Falle von .NET 3.x eine spezielle Situation: .NET 3.0 und .NET 3.5 installieren automatisch bereits die vorherigen .NET-Versionen. Das heißt bei .NET 3.0 wird .NET 2.0 installiert und im .NET 3.0-Verzeichnis landen nur mehr die geänderten Bibliotheken. Das selbe gilt auch für .NET 3.5. Auch dieses installiert erst die vorherigen Versionen.
 
N

nschin86

Mitglied seit
26.08.2010
Beiträge
1
Alter
19
Funktioniert!!

Hi,

hatte auch das Problem Sharepoint 2007 auf Server 2003 und wollte deshalb nur kurz erwähnen, dass die Methode: 1. alte Dot-Net-Pakete entfernen 2. neue va. 2.0 SP1 und 3.5 runterladen und installieren bei mir geholfen hat!
Läuft jetzt einwandfrei.
(ach ja, habe zuvor mal die IIS in der Serververwaltung aktiviert, weiß ned, ob das nötig war?!)

mfg
 
DiableNoir

DiableNoir

Mitglied seit
18.01.2004
Beiträge
6.069
@nschin86:

:welcome

Das Entfernen alter Versionen ist nicht notwendig. Es ist sogar so, dass seit Version 2.0 alles Frameworks inkrementell aufeinander aufbauen. Die Installation von .NET 3.5 führt also zb dazu dass die Version 2.0 installiert wird und dann nur mehr alle zusätzlichen Bibliotheken von 3.0 und 3.5. ;)

Der Grund warum es bei dir dann funktioniert hat, ist wohl, weil der Installer ASP über die dafür vorgesehene Konsolenanwendung integriert hat.

Wird der IIS erst nach dem Framework installiert oder auf eine neue Major-Versiong migriert kann man das manuell mit dem selben Konsolenprogramm nachholen:

C:\Windows\Microsoft.NET\Framework\<GewünschteFrameworkVersion>\aspnet_regiis.exe
 
Thema:

ASP.NET v 2.0 installieren, wie??!

ASP.NET v 2.0 installieren, wie??! - Ähnliche Themen

  • Classic ASP, IIS CreateObject("System.Text.UTF8Encoding") "ActiveX-Komponenten kann kein Objekt erst

    Classic ASP, IIS CreateObject("System.Text.UTF8Encoding") "ActiveX-Komponenten kann kein Objekt erst: Classic ASP, IIS CreateObject("System.Text.UTF8Encoding") "ActiveX-Komponenten kann kein Objekt erst CreateObject("System.Text.UTF8Encoding")...
  • WAMP Server (oder eher Apache 2.2.11) ASP fahig bekommen

    WAMP Server (oder eher Apache 2.2.11) ASP fahig bekommen: Ich richte gerade einen eigenen Server ein. Mit dem WAMP Server kit. Wer das nicht kennt: MySQL PHP und Apache sind vorinstalliert. Auf meiner...
  • ASP .NET Prozess hat kein Recht auf Event Log

    ASP .NET Prozess hat kein Recht auf Event Log: Eigentlich würde ich gerne aus meiner ASP .NET Applikation in einen eigenen Anwendungs-Log reinschreiben, falls Fehler oder andere Ereignisse...
  • ASP .NET und Ressourcen

    ASP .NET und Ressourcen: hallo ich weiss nicht, ob ich jetzt einfach vor lauter bäumen den wald nicht sehe oder ob das in asp .net schlicht und einfach nicht möglich ist...
  • asp .net <%#...?

    asp .net <%#...?: hallo, bin gerade ein buch zu asp .net / vb9 programmierung am durchackern. bin da jetzt auf was gestehen im zusammenhang mit...
  • Ähnliche Themen

    Oben